Materials
The materials resource.
Basehttps://rest.carbon.ms/materials
GET
/materialsList materialss
Retrieve a paginated list of materialss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/materials
curl --request GET \
--url 'https://rest.carbon.ms/materials?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"active": true,
"assignee": "string",
"defaultMethodType": "string",
"description": "string",
"itemTrackingType": "string",
"replenishmentSystem": "string"
}
]GET
/materialsRetrieve a materials
Fetch a single materials by filtering on `id`.
Query parameters
idstringMatch on the materials's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/materials
curl --request GET \
--url 'https://rest.carbon.ms/materials?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"active": true,
"assignee": "string",
"defaultMethodType": "string",
"description": "string",
"itemTrackingType": "string",
"replenishmentSystem": "string"
}